import { defineComponent as S, toRefs as U, openBlock as t, createElementBlock as l, Fragment as v, createElementVNode as o, normalizeClass as g, unref as e, createBlock as w, renderList as $, createTextVNode as x, toDisplayString as i, createCommentVNode as p, createVNode as m, withCtx as B } from "vue";
import { useVModel as V } from "@vueuse/core";
import "../../buttons/index.rd.js";
import "../../input/index.rd.js";
import { useFileUploadInput as M } from "./hooks/useFileUploadInput.rd.js";
import { fileUploadProps as N } from "./props.rd.js";
import L from "./ShowFileItem.vue.rd.js";
import k from "./UploadIcon.vue.rd.js";
import O from "../../input/Input.vue.rd.js";
import Z from "../../buttons/src/Button.vue.rd.js";
const E = { class: "flex-center" }, j = { class: "flex flex-col justify-center w-full items-center" }, A = {
  key: 2,
  class: "pt-7 flex-center flex-col"
}, q = /* @__PURE__ */ o("a", { class: "text-primary-500 dark:text-primary-400" }, "Browse", -1), G = {
  key: 0,
  class: "text-muted font-bold mt-2"
}, H = {
  key: 1,
  class: "text-muted font-bold mt-2"
}, J = {
  key: 0,
  class: "absolute w-full h-full top-0 left-0 round bg-white/10 dark:bg-slate-900/10 backdrop-blur-md backdrop-filter animated animate-fade-in animate-duration-200"
}, K = { class: "h-full p-4" }, Q = { class: "h-full w-full round flex-center flex-col" }, W = /* @__PURE__ */ o("h1", { class: "text-2xl text-theme animated animate-zoom-in animate-duration-300 font-bold transform -translate-y-3" }, " Drop your file(s) here ", -1), X = ["accept", "multiple"], Y = {
  key: 0,
  class: "mt-5"
}, ee = /* @__PURE__ */ o("span", { class: "font-bold" }, "Or select from URL", -1), oe = { class: "mt-2 flex flex-row items-center space-x-4" }, ce = /* @__PURE__ */ S({
  __name: "FileUpload",
  props: N(),
  setup(I, { expose: F }) {
    const c = I, { accept: f, numberFiles: a, maxSizeMb: u } = U(c), d = V(c, "files"), {
      dropZoneRef: C,
      isOverDocument: z,
      isOverDropZone: P,
      onChangeFiles: h,
      inputFile: R,
      openReader: _,
      removeFile: y,
      removeAll: T,
      countLeft: D
    } = M(d, f, a, u);
    return F({
      removeFile: y,
      removeAll: T
    }), (s, n) => (t(), l(v, null, [
      o("div", {
        ref_key: "dropZoneRef",
        ref: C,
        class: g(["app-file-upload border bg-slate-100 border-slate-300 relative p-5 border-dashed !border-2 round dark:border-slate-700 dark:bg-slate-900/50", { "!border-primary-500": e(P) }])
      }, [
        o("div", E, [
          o("div", j, [
            e(d).length ? (t(), l("div", {
              key: 1,
              class: g(["w-full grid grid-cols-1 md:grid-cols-2 gap-4", [s.gridContainerClass]])
            }, [
              (t(!0), l(v, null, $(e(d), (r, b) => (t(), w(L, {
                key: `${r.name}${b}`,
                file: r,
                showFileTypeIcon: s.showFileTypeIcon,
                showPopoverInfo: s.showPopoverInfo,
                fileTypeIconSize: s.fileTypeIconSize,
                showImagePreview: s.showImagesPreview,
                onRemove: () => e(y)(b)
              }, null, 8, ["file", "showFileTypeIcon", "showPopoverInfo", "fileTypeIconSize", "showImagePreview", "onRemove"]))), 128))
            ], 2)) : (t(), w(k, {
              key: 0,
              class: "!w-100px !bg-transparent",
              animated: !1,
              gray: ""
            })),
            e(D) > 0 ? (t(), l("div", A, [
              o("span", {
                class: "text-theme font-bold",
                onClick: n[0] || (n[0] = (...r) => e(_) && e(_)(...r))
              }, [
                x(i(s.description) + " or ", 1),
                q
              ]),
              s.filesDescription ? (t(), l("span", G, i(s.filesDescription) + " (max " + i(e(a)) + " files) ", 1)) : (t(), l("span", H, " Max. File Size: " + i(e(u)) + " MB (max " + i(e(a)) + " files) ", 1))
            ])) : p("", !0)
          ])
        ]),
        e(z) ? (t(), l("div", J, [
          o("div", K, [
            o("div", Q, [
              m(k, { class: "max-h-120px !w-100px !bg-transparent -mt-4 animated animate-zoom-in animate-duration-300" }),
              W
            ])
          ])
        ])) : p("", !0),
        o("input", {
          id: "upload-picture",
          ref_key: "inputFile",
          ref: R,
          class: "hidden absolute sr-only",
          type: "file",
          accept: e(f),
          multiple: e(a) > 1,
          onChange: n[1] || (n[1] = (...r) => e(h) && e(h)(...r))
        }, null, 40, X)
      ], 2),
      s.urlUpload ? (t(), l("div", Y, [
        ee,
        o("div", oe, [
          m(e(O), {
            simple: "",
            placeholder: "https://example.com/image.png",
            class: "py-2"
          }),
          m(e(Z), { color: "neutro" }, {
            default: B(() => [
              x(" Upload ")
            ]),
            _: 1
          })
        ])
      ])) : p("", !0)
    ], 64));
  }
});
export {
  ce as default
};
