import { debounceValidator as DebounceValidator } from './src/shared/validation';
import { scenario as rScenario } from './src/shared/validation/scenario';
import 'ant-design-vue/es/checkbox/style';
import 'ant-design-vue/es/radio/style';
import 'ant-design-vue/es/switch/style';
import Checkbox from 'ant-design-vue/es/checkbox';
import RadioButton from 'ant-design-vue/es/radio';
import Switch from 'ant-design-vue/es/switch';
import * as validators from './src/shared/validation/validators';
import * as Types from './types';
import { useValidateArray as UseValidateArray } from './src/shared/hooks';
declare const RValidators: typeof validators;
declare const RTypes: typeof Types;
declare const RAntCheckbox: typeof Checkbox;
declare const RAntRadioButton: typeof RadioButton;
declare const RAntRadioButtonGroup: typeof RadioButton.Group;
declare const RAntSwitch: typeof Switch;
declare const scenario: typeof rScenario;
declare const RValidationForm: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            state: {
                [key: string]: any;
            };
            validations: {
                [key: string]: any;
            };
            feedbacks: {
                [key: string]: any;
            };
            autoDirty: boolean;
            specific: string[];
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            feedbacks: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            state: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            } & {
                required: true;
            };
            autoDirty: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            };
            validations: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            } & {
                required: true;
            };
            specific: import("vue-types").VueTypeDef<string[]> & {
                default: () => string[];
            };
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "state" | "validations" | "feedbacks" | "autoDirty" | "specific">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            feedbacks: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            state: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            } & {
                required: true;
            };
            autoDirty: import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            };
            validations: import("vue-types").VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            } & {
                required: true;
            };
            specific: import("vue-types").VueTypeDef<string[]> & {
                default: () => string[];
            };
        }>>, {
            clear: () => Promise<void>;
            validate: (specificPaths?: string | RegExp[], exclude?: boolean) => Promise<boolean>;
            resetValidations: () => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
            state: {
                [key: string]: any;
            };
            validations: {
                [key: string]: any;
            };
            feedbacks: {
                [key: string]: any;
            };
            autoDirty: boolean;
            specific: string[];
        }, {}, string> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        feedbacks: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        state: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        } & {
            required: true;
        };
        autoDirty: import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        };
        validations: import("vue-types").VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        } & {
            required: true;
        };
        specific: import("vue-types").VueTypeDef<string[]> & {
            default: () => string[];
        };
    }>> & import("vue").ShallowUnwrapRef<{
        clear: () => Promise<void>;
        validate: (specificPaths?: string | RegExp[], exclude?: boolean) => Promise<boolean>;
        resetValidations: () => void;
    }> & {} & import("vue").ComponentCustomProperties & {};
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    feedbacks: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    state: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        required: true;
    };
    autoDirty: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    validations: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        required: true;
    };
    specific: import("vue-types").VueTypeDef<string[]> & {
        default: () => string[];
    };
}>>, {
    clear: () => Promise<void>;
    validate: (specificPaths?: string | RegExp[], exclude?: boolean) => Promise<boolean>;
    resetValidations: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    state: {
        [key: string]: any;
    };
    validations: {
        [key: string]: any;
    };
    feedbacks: {
        [key: string]: any;
    };
    autoDirty: boolean;
    specific: string[];
}, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: {
        default: (_: {
            vobject: import("@vuelidate/core").Validation<{
                [key: string]: any;
            }, {
                [key: string]: any;
            }>;
        }) => any;
    };
});
declare const useValidateArray: typeof UseValidateArray;
declare const debounceValidator: typeof DebounceValidator;
export { debounceValidator, RAntCheckbox, RAntRadioButton, RAntRadioButtonGroup, RAntSwitch, RTypes, RValidationForm, RValidators, scenario, useValidateArray, };
