import { ExtractPropTypes } from 'vue';
export declare const selectProps: () => {
    modelValue: import("vue-types").VueTypeDef<string | number | string[] | number[] | null | undefined>;
    defaultValue: import("vue-types").VueTypeDef<string | number | string[] | number[] | null | undefined>;
    selectedItem: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    };
    selectedItems: import("vue-types").VueTypeDef<{
        [key: string]: any;
    }[]> & {
        default: () => {
            [key: string]: any;
        }[];
    };
    simple: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    textKey: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    idKey: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    multiple: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    showFilter: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    hideSelected: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    maxTagCount: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    maxTagTextLength: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    loadingData: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    maxSelections: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    debounceMs: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    filterPlaceholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    items: import("vue-types").VueTypeDef<any[]>;
    isGray: import("vue-types").VueTypeValidableDef<boolean>;
    filter: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    trigger: import("vue-types").VueTypeDef<"hover" | "click" | "contextmenu"> & {
        default: "hover" | "click" | "contextmenu";
    };
    getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    customRender: import("vue-types").VueTypeValidableDef<(...args: any[]) => any>;
    label: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    hint: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    loading: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    allowClear: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    state: import("vue-types").VueTypeDef<"success" | "warning" | "none" | "error"> & {
        default: "success" | "warning" | "none" | "error";
    };
    path: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    placeholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    asyncRules: import("vue-types").VueTypeDef<string[]> & {
        default: () => string[];
    };
    requiredMark: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    successStatus: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    validations: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    feedbacks: import("vue-types").VueTypeValidableDef<{
        [key: string]: any;
    }> & {
        default: () => {
            [key: string]: any;
        };
    } & {
        default: () => {
            [key: string]: any;
        };
    };
    size: import("vue-types").VueTypeDef<"small" | "large" | "medium" | "xlarge"> & {
        default: "small" | "large" | "medium" | "xlarge";
    };
};
export type SelectProps = Partial<ExtractPropTypes<ReturnType<typeof selectProps>>>;
export declare const selectDropdownProps: () => {
    items: import("vue-types").VueTypeDef<any[]>;
    selected: import("vue-types").VueTypeDef<string | number | string[] | number[] | null | undefined>;
    multiple: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    loading: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    showFilter: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    trigger: import("vue-types").VueTypeDef<"hover" | "click" | "contextmenu"> & {
        default: "hover" | "click" | "contextmenu";
    };
    getPopupContainer: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
    textKey: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    idKey: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    filter: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    filterPlaceholder: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    hideSelected: import("vue-types").VueTypeValidableDef<boolean>;
};
export type SelectDropdownProps = Partial<ExtractPropTypes<ReturnType<typeof selectDropdownProps>>>;
